# include <unistd.h>
#endif"
-ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar RELEASE statedir statduser enable_nfsv3 IDMAPD enable_nfsv4 CONFIG_NFSV4_TRUE CONFIG_NFSV4_FALSE GSSD SVCGSSD enable_gss CONFIG_GSS_TRUE CONFIG_GSS_FALSE kprefix secure_statd CONFIG_RQUOTAD_TRUE CONFIG_RQUOTAD_FALSE CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE LIBWRAP HAVE_LIBWRAP HAVE_TCP_WRAPPER CXX CXXFLAGS ac_ct_CXX CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CPP LN_S EGREP ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL CC_FOR_BUILD LD ac_ct_LD PKG_CONFIG ac_pt_PKG_CONFIG RPCSECGSS_CFLAGS RPCSECGSS_LIBS LIBSOCKET LIBNSL LIBCRYPT LIBBSD KRBDIR KRBLIBS KRBCFLAGS K5VERS ALLOCA LIBOBJS CFLAGS_FOR_BUILD CXXFLAGS_FOR_BUILD CPPFLAGS_FOR_BUILD LDFLAGS_FOR_BUILD AM_CPPFLAGS AM_CFLAGS ACLOCAL_AMFLAGS LTLIBOBJS'
+ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar RELEASE statedir statduser enable_nfsv3 IDMAPD enable_nfsv4 CONFIG_NFSV4_TRUE CONFIG_NFSV4_FALSE GSSD SVCGSSD enable_gss CONFIG_GSS_TRUE CONFIG_GSS_FALSE kprefix secure_statd CONFIG_RQUOTAD_TRUE CONFIG_RQUOTAD_FALSE CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE LIBWRAP HAVE_LIBWRAP HAVE_TCP_WRAPPER CXX CXXFLAGS ac_ct_CXX CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CPP LN_S EGREP ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL CC_FOR_BUILD LD ac_ct_LD PKG_CONFIG ac_pt_PKG_CONFIG RPCSECGSS_CFLAGS RPCSECGSS_LIBS GSSAPI_CFLAGS GSSAPI_LIBS LIBSOCKET LIBNSL LIBCRYPT LIBBSD KRBDIR KRBLIBS KRBCFLAGS K5VERS ALLOCA LIBOBJS CFLAGS_FOR_BUILD CXXFLAGS_FOR_BUILD CPPFLAGS_FOR_BUILD LDFLAGS_FOR_BUILD AM_CPPFLAGS AM_CFLAGS ACLOCAL_AMFLAGS LTLIBOBJS'
ac_subst_files=''
# Initialize some variables set by options.
ac_env_RPCSECGSS_LIBS_value=$RPCSECGSS_LIBS
ac_cv_env_RPCSECGSS_LIBS_set=${RPCSECGSS_LIBS+set}
ac_cv_env_RPCSECGSS_LIBS_value=$RPCSECGSS_LIBS
+ac_env_GSSAPI_CFLAGS_set=${GSSAPI_CFLAGS+set}
+ac_env_GSSAPI_CFLAGS_value=$GSSAPI_CFLAGS
+ac_cv_env_GSSAPI_CFLAGS_set=${GSSAPI_CFLAGS+set}
+ac_cv_env_GSSAPI_CFLAGS_value=$GSSAPI_CFLAGS
+ac_env_GSSAPI_LIBS_set=${GSSAPI_LIBS+set}
+ac_env_GSSAPI_LIBS_value=$GSSAPI_LIBS
+ac_cv_env_GSSAPI_LIBS_set=${GSSAPI_LIBS+set}
+ac_cv_env_GSSAPI_LIBS_value=$GSSAPI_LIBS
#
# Report the --help message.
C compiler flags for RPCSECGSS, overriding pkg-config
RPCSECGSS_LIBS
linker flags for RPCSECGSS, overriding pkg-config
+ GSSAPI_CFLAGS
+ C compiler flags for GSSAPI, overriding pkg-config
+ GSSAPI_LIBS linker flags for GSSAPI, overriding pkg-config
Use these variables to override the choices made by `configure' or to help
it to find libraries and programs with nonstandard names/locations.
;;
*-*-irix6*)
# Find out which ABI we are using.
- echo '#line 5633 "configure"' > conftest.$ac_ext
+ echo '#line 5644 "configure"' > conftest.$ac_ext
if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
# Provide some information about the compiler.
-echo "$as_me:6530:" \
+echo "$as_me:6541:" \
"checking for Fortran 77 compiler version" >&5
ac_compiler=`set X $ac_compile; echo $2`
{ (eval echo "$as_me:$LINENO: \"$ac_compiler --version </dev/null >&5\"") >&5
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:7591: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:7602: $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err)
ac_status=$?
cat conftest.err >&5
- echo "$as_me:7595: \$? = $ac_status" >&5
+ echo "$as_me:7606: \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings other than the usual output.
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:7859: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:7870: $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err)
ac_status=$?
cat conftest.err >&5
- echo "$as_me:7863: \$? = $ac_status" >&5
+ echo "$as_me:7874: \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings other than the usual output.
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:7963: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:7974: $lt_compile\"" >&5)
(eval "$lt_compile" 2>out/conftest.err)
ac_status=$?
cat out/conftest.err >&5
- echo "$as_me:7967: \$? = $ac_status" >&5
+ echo "$as_me:7978: \$? = $ac_status" >&5
if (exit $ac_status) && test -s out/conftest2.$ac_objext
then
# The compiler can only warn and ignore the option if not recognized
lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
lt_status=$lt_dlunknown
cat > conftest.$ac_ext <<EOF
-#line 10288 "configure"
+#line 10299 "configure"
#include "confdefs.h"
#if HAVE_DLFCN_H
lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
lt_status=$lt_dlunknown
cat > conftest.$ac_ext <<EOF
-#line 10388 "configure"
+#line 10399 "configure"
#include "confdefs.h"
#if HAVE_DLFCN_H
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:12726: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:12737: $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err)
ac_status=$?
cat conftest.err >&5
- echo "$as_me:12730: \$? = $ac_status" >&5
+ echo "$as_me:12741: \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings other than the usual output.
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:12830: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:12841: $lt_compile\"" >&5)
(eval "$lt_compile" 2>out/conftest.err)
ac_status=$?
cat out/conftest.err >&5
- echo "$as_me:12834: \$? = $ac_status" >&5
+ echo "$as_me:12845: \$? = $ac_status" >&5
if (exit $ac_status) && test -s out/conftest2.$ac_objext
then
# The compiler can only warn and ignore the option if not recognized
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:14391: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:14402: $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err)
ac_status=$?
cat conftest.err >&5
- echo "$as_me:14395: \$? = $ac_status" >&5
+ echo "$as_me:14406: \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings other than the usual output.
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:14495: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:14506: $lt_compile\"" >&5)
(eval "$lt_compile" 2>out/conftest.err)
ac_status=$?
cat out/conftest.err >&5
- echo "$as_me:14499: \$? = $ac_status" >&5
+ echo "$as_me:14510: \$? = $ac_status" >&5
if (exit $ac_status) && test -s out/conftest2.$ac_objext
then
# The compiler can only warn and ignore the option if not recognized
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:16685: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:16696: $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err)
ac_status=$?
cat conftest.err >&5
- echo "$as_me:16689: \$? = $ac_status" >&5
+ echo "$as_me:16700: \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings other than the usual output.
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:16953: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:16964: $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err)
ac_status=$?
cat conftest.err >&5
- echo "$as_me:16957: \$? = $ac_status" >&5
+ echo "$as_me:16968: \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings other than the usual output.
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:17057: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:17068: $lt_compile\"" >&5)
(eval "$lt_compile" 2>out/conftest.err)
ac_status=$?
cat out/conftest.err >&5
- echo "$as_me:17061: \$? = $ac_status" >&5
+ echo "$as_me:17072: \$? = $ac_status" >&5
if (exit $ac_status) && test -s out/conftest2.$ac_objext
then
# The compiler can only warn and ignore the option if not recognized
pkg_cv_RPCSECGSS_CFLAGS="$RPCSECGSS_CFLAGS"
else
if test -n "$PKG_CONFIG" && \
- { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"librpcsecgss\"") >&5
- ($PKG_CONFIG --exists --print-errors "librpcsecgss") 2>&5
+ { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"librpcsecgss >= 0.10\"") >&5
+ ($PKG_CONFIG --exists --print-errors "librpcsecgss >= 0.10") 2>&5
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; then
- pkg_cv_RPCSECGSS_CFLAGS=`$PKG_CONFIG --cflags "librpcsecgss" 2>/dev/null`
+ pkg_cv_RPCSECGSS_CFLAGS=`$PKG_CONFIG --cflags "librpcsecgss >= 0.10" 2>/dev/null`
else
pkg_failed=yes
fi
pkg_cv_RPCSECGSS_LIBS="$RPCSECGSS_LIBS"
else
if test -n "$PKG_CONFIG" && \
- { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"librpcsecgss\"") >&5
- ($PKG_CONFIG --exists --print-errors "librpcsecgss") 2>&5
+ { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"librpcsecgss >= 0.10\"") >&5
+ ($PKG_CONFIG --exists --print-errors "librpcsecgss >= 0.10") 2>&5
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; then
- pkg_cv_RPCSECGSS_LIBS=`$PKG_CONFIG --libs "librpcsecgss" 2>/dev/null`
+ pkg_cv_RPCSECGSS_LIBS=`$PKG_CONFIG --libs "librpcsecgss >= 0.10" 2>/dev/null`
else
pkg_failed=yes
fi
_pkg_short_errors_supported=no
fi
if test $_pkg_short_errors_supported = yes; then
- RPCSECGSS_PKG_ERRORS=`$PKG_CONFIG --short-errors --errors-to-stdout --print-errors "librpcsecgss"`
+ RPCSECGSS_PKG_ERRORS=`$PKG_CONFIG --short-errors --errors-to-stdout --print-errors "librpcsecgss >= 0.10"`
else
- RPCSECGSS_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "librpcsecgss"`
+ RPCSECGSS_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "librpcsecgss >= 0.10"`
fi
# Put the nasty error message in config.log where it belongs
echo "$RPCSECGSS_PKG_ERRORS" >&5
echo "${ECHO_T}yes" >&6
:
fi
+
+pkg_failed=no
+echo "$as_me:$LINENO: checking for GSSAPI" >&5
+echo $ECHO_N "checking for GSSAPI... $ECHO_C" >&6
+
+if test -n "$PKG_CONFIG"; then
+ if test -n "$GSSAPI_CFLAGS"; then
+ pkg_cv_GSSAPI_CFLAGS="$GSSAPI_CFLAGS"
+ else
+ if test -n "$PKG_CONFIG" && \
+ { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"libgssapi >= 0.9\"") >&5
+ ($PKG_CONFIG --exists --print-errors "libgssapi >= 0.9") 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); }; then
+ pkg_cv_GSSAPI_CFLAGS=`$PKG_CONFIG --cflags "libgssapi >= 0.9" 2>/dev/null`
+else
+ pkg_failed=yes
+fi
+ fi
+else
+ pkg_failed=untried
+fi
+if test -n "$PKG_CONFIG"; then
+ if test -n "$GSSAPI_LIBS"; then
+ pkg_cv_GSSAPI_LIBS="$GSSAPI_LIBS"
+ else
+ if test -n "$PKG_CONFIG" && \
+ { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"libgssapi >= 0.9\"") >&5
+ ($PKG_CONFIG --exists --print-errors "libgssapi >= 0.9") 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); }; then
+ pkg_cv_GSSAPI_LIBS=`$PKG_CONFIG --libs "libgssapi >= 0.9" 2>/dev/null`
+else
+ pkg_failed=yes
+fi
+ fi
+else
+ pkg_failed=untried
+fi
+
+
+
+if test $pkg_failed = yes; then
+
+if $PKG_CONFIG --atleast-pkgconfig-version 0.20; then
+ _pkg_short_errors_supported=yes
+else
+ _pkg_short_errors_supported=no
+fi
+ if test $_pkg_short_errors_supported = yes; then
+ GSSAPI_PKG_ERRORS=`$PKG_CONFIG --short-errors --errors-to-stdout --print-errors "libgssapi >= 0.9"`
+ else
+ GSSAPI_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "libgssapi >= 0.9"`
+ fi
+ # Put the nasty error message in config.log where it belongs
+ echo "$GSSAPI_PKG_ERRORS" >&5
+
+ { { echo "$as_me:$LINENO: error: Package requirements (libgssapi >= 0.9) were not met:
+
+$GSSAPI_PKG_ERRORS
+
+Consider adjusting the PKG_CONFIG_PATH environment variable if you
+installed software in a non-standard prefix.
+
+Alternatively, you may set the environment variables GSSAPI_CFLAGS
+and GSSAPI_LIBS to avoid the need to call pkg-config.
+See the pkg-config man page for more details.
+" >&5
+echo "$as_me: error: Package requirements (libgssapi >= 0.9) were not met:
+
+$GSSAPI_PKG_ERRORS
+
+Consider adjusting the PKG_CONFIG_PATH environment variable if you
+installed software in a non-standard prefix.
+
+Alternatively, you may set the environment variables GSSAPI_CFLAGS
+and GSSAPI_LIBS to avoid the need to call pkg-config.
+See the pkg-config man page for more details.
+" >&2;}
+ { (exit 1); exit 1; }; }
+elif test $pkg_failed = untried; then
+ { { echo "$as_me:$LINENO: error: The pkg-config script could not be found or is too old. Make sure it
+is in your PATH or set the PKG_CONFIG environment variable to the full
+path to pkg-config.
+
+Alternatively, you may set the environment variables GSSAPI_CFLAGS
+and GSSAPI_LIBS to avoid the need to call pkg-config.
+See the pkg-config man page for more details.
+
+To get pkg-config, see <http://www.freedesktop.org/software/pkgconfig>.
+See \`config.log' for more details." >&5
+echo "$as_me: error: The pkg-config script could not be found or is too old. Make sure it
+is in your PATH or set the PKG_CONFIG environment variable to the full
+path to pkg-config.
+
+Alternatively, you may set the environment variables GSSAPI_CFLAGS
+and GSSAPI_LIBS to avoid the need to call pkg-config.
+See the pkg-config man page for more details.
+
+To get pkg-config, see <http://www.freedesktop.org/software/pkgconfig>.
+See \`config.log' for more details." >&2;}
+ { (exit 1); exit 1; }; }
+else
+ GSSAPI_CFLAGS=$pkg_cv_GSSAPI_CFLAGS
+ GSSAPI_LIBS=$pkg_cv_GSSAPI_LIBS
+ echo "$as_me:$LINENO: result: yes" >&5
+echo "${ECHO_T}yes" >&6
+ :
+fi
fi
fi
s,@ac_pt_PKG_CONFIG@,$ac_pt_PKG_CONFIG,;t t
s,@RPCSECGSS_CFLAGS@,$RPCSECGSS_CFLAGS,;t t
s,@RPCSECGSS_LIBS@,$RPCSECGSS_LIBS,;t t
+s,@GSSAPI_CFLAGS@,$GSSAPI_CFLAGS,;t t
+s,@GSSAPI_LIBS@,$GSSAPI_LIBS,;t t
s,@LIBSOCKET@,$LIBSOCKET,;t t
s,@LIBNSL@,$LIBNSL,;t t
s,@LIBCRYPT@,$LIBCRYPT,;t t